Bug 115703 - (SCSI AIC7XXX) playing cd audio with soundblaster live, scsi cdrom and aic7xxx crashes cdrom
(SCSI AIC7XXX) playing cd audio with soundblaster live, scsi cdrom and aic7xx...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks: FC2Target FC3Target FC4Target
  Show dependency treegraph
 
Reported: 2004-02-14 22:23 EST by Daniel Nelson
Modified: 2015-01-04 17:04 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-12 18:46:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
serial console output at time of oops (3.85 KB, text/plain)
2005-04-18 17:16 EDT, Jay Fenlason
no flags Details
aic7xxx reset output (6.93 KB, text/plain)
2005-07-17 08:25 EDT, Matt Dainty
no flags Details

  None (edit)
Description Daniel Nelson 2004-02-14 22:23:03 EST
From Bugzilla Helper:
User-Agent: Opera/7.23 (X11; Linux i686; U)  [en]

Description of problem:
Using Kernel 2.6.2-1.74 with Adaptec 2940UW HBA, Plextor PX-W124TS 
and Soundblaster Live!  Playing CD audio crashes the cdrom, happens 
instantly with kscd, but takes up to an hour under beep-media-player. 
 From dmesg:

sr0: scsi3-mmc drive: 32x/32x writer cd/rw xa/form2 cdda tray
Uniform CD-ROM driver Revision: 3.20
Attached scsi CD-ROM sr0 at scsi0, channel 0, id 6, lun 0
scsi0:0:6:0: Attempting to queue an ABORT message
CDB: 0x47 0x0 0x0 0x20 0x22 0x34 0x22 0x37 0x39 0x0
scsi0: At time of recovery, card was not paused
>>>>>>>>>>>>>>>>>> Dump Card State Begins <<<<<<<<<<<<<<<<<
scsi0: Dumping Card State in Command phase, at SEQADDR 0x16f
Card was paused
ACCUM = 0x80, SINDEX = 0xac, DINDEX = 0xc0, ARG_2 = 0x0
HCNT = 0x0 SCBPTR = 0x0
SCSISIGI[0x84] ERROR[0x0] SCSIBUSL[0xc0] LASTPHASE[0x80] 
SCSISEQ[0x12] SBLKCTL[0x2] SCSIRATE[0x8] SEQCTL[0x10] 
SEQ_FLAGS[0x0] SSTAT0[0x7] SSTAT1[0x2] SSTAT2[0x0] 
SSTAT3[0x0] SIMODE0[0x0] SIMODE1[0xac] SXFRCTL0[0xa8] 
DFCNTRL[0x4] DFSTATUS[0x6d] 
STACK: 0x37 0x0 0x169 0x199
SCB count = 4
Kernel NEXTQSCB = 3
Card NEXTQSCB = 3
QINFIFO entries: 
Waiting Queue entries: 
Disconnected Queue entries: 
QOUTFIFO entries: 
Sequencer Free SCB List: 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 
Sequencer SCB Info: 
  0 SCB_CONTROL[0x48] SCB_SCSIID[0x67] SCB_LUN[0x0] SCB_TAG[0x2] 
  1 SCB_CONTROL[0x0] SCB_SCSIID[0xff] SCB_LUN[0xff] SCB_TAG[0xff] 
  2 SCB_CONTROL[0x0] SCB_SCSIID[0xff] SCB_LUN[0xff] SCB_TAG[0xff] 
  3 SCB_CONTROL[0x0] SCB_SCSIID[0xff] SCB_LUN[0xff] SCB_TAG[0xff] 
  4 SCB_CONTROL[0x0] SCB_SCSIID[0xff] SCB_LUN[0xff] SCB_TAG[0xff] 
  5 SCB_CONTROL[0x0] SCB_SCSIID[0xff] SCB_LUN[0xff] SCB_TAG[0xff] 
  6 SCB_CONTROL[0x0] SCB_SCSIID[0xff] SCB_LUN[0xff] SCB_TAG[0xff] 
  7 SCB_CONTROL[0x0] SCB_SCSIID[0xff] SCB_LUN[0xff] SCB_TAG[0xff] 
  8 SCB_CONTROL[0x0] SCB_SCSIID[0xff] SCB_LUN[0xff] SCB_TAG[0xff] 
  9 SCB_CONTROL[0x0] SCB_SCSIID[0xff] SCB_LUN[0xff] SCB_TAG[0xff] 
 10 SCB_CONTROL[0x0] SCB_SCSIID[0xff] SCB_LUN[0xff] SCB_TAG[0xff] 
 11 SCB_CONTROL[0x0] SCB_SCSIID[0xff] SCB_LUN[0xff] SCB_TAG[0xff] 
 12 SCB_CONTROL[0x0] SCB_SCSIID[0xff] SCB_LUN[0xff] SCB_TAG[0xff] 
 13 SCB_CONTROL[0x0] SCB_SCSIID[0xff] SCB_LUN[0xff] SCB_TAG[0xff] 
 14 SCB_CONTROL[0x0] SCB_SCSIID[0xff] SCB_LUN[0xff] SCB_TAG[0xff] 
 15 SCB_CONTROL[0x0] SCB_SCSIID[0xff] SCB_LUN[0xff] SCB_TAG[0xff] 
Pending list: 
  2 SCB_CONTROL[0x48] SCB_SCSIID[0x67] SCB_LUN[0x0] 
Kernel Free SCB list: 1 0 
Untagged Q(6): 2 
DevQ(0:6:0): 0 waiting

<<<<<<<<<<<<<<<<< Dump Card State Ends >>>>>>>>>>>>>>>>>>
scsi0:0:6:0: Device is active, asserting ATN
Recovery code sleeping
Recovery code awake
Timer Expired
aic7xxx_abort returns 0x2003
scsi0:0:6:0: Attempting to queue a TARGET RESET message
CDB: 0x47 0x0 0x0 0x20 0x22 0x34 0x22 0x37 0x39 0x0
aic7xxx_dev_reset returns 0x2003
Recovery SCB completes
scsi: Device offlined - not ready after error recovery: host 0 
channel 0 id 6 lun 0
sr0: CDROM not ready yet.

Version-Release number of selected component (if applicable):
kernel-2.6.2-1.74 

How reproducible:
Always

Steps to Reproduce:
1.start kde (haven't tried anything else)
2.play audio cd
3.wait, sometimes an hour...
    

Actual Results:  CD audio stops abbruptly, drive cannot be accessed

Additional info:
Comment 1 Dave Jones 2004-12-07 00:45:40 EST
fixed in the 2.6.9 based update ?
Comment 2 Dave Jones 2005-04-16 01:46:43 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.
Comment 3 Jay Fenlason 2005-04-18 17:13:15 EDT
I was able to reproduce this problem (or a related one) on fenlason-rhide with 
the 2.6.11-1.1240_FC4smp kernel by running cdparanoia on a SCSI cd-rom drive 
attached to an Adaptec 2940.  I'm attaching the oops from the serial console. 
 
 
Comment 4 Jay Fenlason 2005-04-18 17:16:13 EDT
Created attachment 113344 [details]
serial console output at time of oops
Comment 5 Dave Jones 2005-06-27 19:12:18 EDT
Mass update of -test bugs to update version to fc4.
(Please retest on final release, and report results if you have not already done
so).

Thanks.
Comment 6 Matt Dainty 2005-07-17 08:23:53 EDT
I appear to be suffering something similar trying to run grip/cdparanoia against
a  Plextor PX-W1210S attached externally to an Adaptec 29160 since upgrading
from FC2 to FC4. No obvious problems running FC2, yet I consistently get the
same aic7xxx "reset card & offline device" behaviour under FC4.

I don't seem to get a kernel oops, and I can run:

$ echo "scsi remove-single-device 1 2 3 4" > /proc/scsi/scsi
<power cycle CD drive>
$ echo "scsi add-single-device 1 2 3 4" > /proc/scsi/scsi

and then try again, getting exactly the same results.

Noticed with the latest two FC4 kernel versions; 2.6.12-1.1390_FC4 &
2.6.12-1.1398_FC4

I will attach the aic7xxx output.
Comment 7 Matt Dainty 2005-07-17 08:25:39 EDT
Created attachment 116853 [details]
aic7xxx reset output
Comment 8 Dave Jones 2005-09-30 02:45:21 EDT
Mass update to all FC4 bugs:

An update has been released (2.6.13-1.1526_FC4) which rebases to a new upstream
kernel (2.6.13.2). As there were ~3500 changes upstream between this and the
previous kernel, it's possible your bug has been fixed already.

Please retest with this update, and update this bug if necessary.

Thanks.
Comment 9 Dave Jones 2005-11-10 14:50:10 EST
2.6.14-1.1637_FC4 has been released as an update for FC4.
Please retest with this update, as a large amount of code has been changed in
this release, which may have fixed your problem.

Thank you.
Comment 10 Matt Dainty 2005-11-12 16:14:37 EST
Problem appears to have disappeared as far as I'm concerned, I can once again
run grip/cdparanoia against my Plextor drive.

Note You need to log in before you can comment on or make changes to this bug.